# FdoIPropertyDictionary Class Reference

`#include <IPropertyDictionary.h>`

Inheritance diagram for FdoIPropertyDictionary:

[legend]

List of all members.

## Detailed Description

The FdoIPropertyDictionary exposes a dictionary style interface to the connection properties. The properties required to establish a connection can be determined and their values can be set through this interface. Modifying connection properties through this interface dynamically modifies the connection string held by the connection object. When the connection is in an open state, calling SetProperty on this interface will result in an error.

Definition at line 36 of file IPropertyDictionary.h.

## Public Member Functions
virtual FDO_API FdoString ** | EnumeratePropertyValues (FdoString *name, FdoInt32 &count)=0
| Returns an array of possible values for the specified property.
virtual FDO_API FdoString * | GetLocalizedName (FdoString *name)=0
| Gets a localized name for the property (for NLS purposes).
virtual FDO_API FdoString * | GetProperty (FdoString *name)=0
| Gets the value of the specified property.
virtual FDO_API FdoString * | GetPropertyDefault (FdoString *name)=0
| Gets the default value for the specified property.
virtual FDO_API FdoString ** | GetPropertyNames (FdoInt32 &count)=0
| Gets the names of all the properties that can appear in a connection string for this feature provider as an array of Strings. The order of the property names in the resulting array dictate the order in which they need to be specified. This is especially important for the success of the EnumeratePropertyValues method because properties that occur earlier in the array may be required for successful enumeration of properties that appear later.
virtual FDO_API bool | IsPropertyDatastoreName (FdoString *name)=0
| Determines if the specified property represents a datastore name.
virtual FDO_API bool | IsPropertyEnumerable (FdoString *name)=0
| Determines if the possible values for the specified property can be enumerated via the EnumeratePropertyValues method.
virtual FDO_API bool | IsPropertyFileName (FdoString *name)=0
| Determines if the specified property represents a file name.
virtual FDO_API bool | IsPropertyFilePath (FdoString *name)=0
| Determines if the specified property represents a path name.
virtual FDO_API bool | IsPropertyProtected (FdoString *name)=0
| Indicates if the property is a password or other protected field that should be kept secure.
virtual FDO_API bool | IsPropertyRequired (FdoString *name)=0
| Determines if the specified property is required.
virtual FDO_API void | SetProperty (FdoString *name, FdoString *value)=0
| Sets the value of the specified property. An exception is thrown if the connection is currently open.

The documentation for this class was generated from the following file:

- IPropertyDictionary.h